[v2,0/1] cryptodev: remove v20 ABI compatibility
mbox series

Message ID 20201008083222.14169-1-adamx.dybkowski@intel.com
Headers show
Series
  • cryptodev: remove v20 ABI compatibility
Related show

Message

Dybkowski, AdamX Oct. 8, 2020, 8:32 a.m. UTC
This reverts commit cryptodev: fix ABI compatibility for ChaCha20-Poly1305 as the
rte_cryptodev_info_get function versioning was a temporary solution
to maintain ABI compatibility for ChaCha20-Poly1305 and is not
needed in 20.11.

Adam Dybkowski (1):
  cryptodev: remove v20 ABI compatibility

--
v2:
* minor styling issues corrected (removed empty lines)

--
 lib/librte_cryptodev/meson.build              |   1 -
 lib/librte_cryptodev/rte_cryptodev.c          | 150 +-----------------
 lib/librte_cryptodev/rte_cryptodev.h          |  34 +---
 .../rte_cryptodev_version.map                 |   6 -
 4 files changed, 5 insertions(+), 186 deletions(-)